Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.campaign
Interface ScenarioService

All Superinterfaces:
  EJBObject, Remote, ServiceLocator

public interface ScenarioService
extends EJBObject, ServiceLocator

The EJB object interface of the scenario service.

Method Summary
`void` | `clearEndStates(ScenarioContainer container)` Clear the user end states for the specified scenario container.
`void` | `clearEndStates(String scenarioId)` Clear the user end states for the specified scenario.
`Collection` | `getActiveScenarios()` Get the list of active scenarios.
`Collection` | `getDeployedScenarios()` Get the list of deployed scenarios.
`RulesManager` | `getRulesManager()` Get a reference to the rules service this uses.
`Scenario` | `getScenario(String id)` Get the specified deployed scenario.
`Collection` | `getUserEndStates(String userId, ScenarioContainer container, Collection scenarioIds)` Get the list of scenario ids for which the user has reached an end state, under the specified container.
`boolean` | `handleEvent(Map scenarioIdMap, Event evt)` Handle an event by executing the rules associated with the specified scenarios.
`boolean` | `handleEvent(ScenarioContainer container, Event evt, Collection scenarioIds)` Handle an event by executing the rules associated to the specified scenarios.
`void` | `setUserEndState(String userId, ScenarioContainer container, String scenarioId)` Set that a user reached an end state in container/scenario combination.

Methods inherited from interface javax.ejb.EJBObject
`getEJBHome, getHandle, getPrimaryKey, isIdentical, remove`

Methods inherited from interface com.bea.campaign.ServiceLocator
`locateService`

Method Detail

### clearEndStates

    public void clearEndStates(ScenarioContainer container)
                        throws RemoteException,
                               EJBException

  Clear the user end states for the specified scenario container.

  Parameters:
    `container` - the ScenarioContainer.
  Throws:
    `EJBException` - thrown on an error.
    `RemoteException` - thrown on a communications error.

### clearEndStates

    public void clearEndStates(String scenarioId)
                        throws RemoteException,
                               EJBException

  Clear the user end states for the specified scenario.

  Parameters:
    `scenarioId` - the scenario id.
  Throws:
    `EJBException` - thrown on an error.
    `RemoteException` - thrown on a communications error.

### getActiveScenarios

    public Collection getActiveScenarios()
                                  throws RemoteException,
                                         EJBException

  Get the list of active scenarios.

  This will be a subset of the deployed scenarios.

  Throws:
    `EJBException` - thrown on an error.
    `RemoteException` - thrown on a communications error.

### getDeployedScenarios

    public Collection getDeployedScenarios()
                                    throws RemoteException,
                                           EJBException

  Get the list of deployed scenarios.

  Throws:
    `EJBException` - thrown on an error.
    `RemoteException` - thrown on a communications error.

### getRulesManager

    public RulesManager getRulesManager()
                                 throws RemoteException,
                                        EJBException

  Get a reference to the rules service this uses.

  Throws:
    `EJBException` - thrown on an error.
    `RemoteException` - thrown on a communications error.

### getScenario

    public Scenario getScenario(String id)
                         throws RemoteException,
                                EJBException

  Get the specified deployed scenario.

  Returns:
    the scenario, or null if not found.
  Throws:
    `EJBException` - thrown on an error.
    `RemoteException` - thrown on a communications error.

### getUserEndStates

    public Collection getUserEndStates(String userId,
                                       ScenarioContainer container,
                                       Collection scenarioIds)
                                throws RemoteException,
                                       EJBException

  Get the list of scenario ids for which the user has reached an end state, under the specified container.

  Parameters:
    `userId` - the user id.
    `container` - the ScenarioContainer.
    `scenarioIds` - the list of ids of scenarios (null or empty for all).
  Returns:
    the list of scenario ids for which the user has reached an end state.
  Throws:
    `EJBException` - thrown on an error.
    `RemoteException` - thrown on a communications error.

### handleEvent

    public boolean handleEvent(Map scenarioIdMap,
                               Event evt)
                        throws RemoteException,
                               EJBException

  Handle an event by executing the rules associated with the specified scenarios.

  Parameters:
    `scenarioIdMap` - the map of ScenarioContainer to scenario ids to execute.
    `evt` - the event.
  Returns:
    true if the event was valid, false if it was not.
  Throws:
    `EJBException` - thrown on an error.
    `RemoteException` - thrown on a communications error.

### handleEvent

    public boolean handleEvent(ScenarioContainer container,
                               Event evt,
                               Collection scenarioIds)
                        throws RemoteException,
                               EJBException

  Handle an event by executing the rules associated to the specified scenarios.

  Parameters:
    `container` - the scenario container to execute under.
    `evt` - the event.
    `scenarioIds` - the list of ids of scenarios to run this against (empty or null for all).
  Returns:
    true if the event was valid, false if it was not.
  Throws:
    `EJBException` - thrown on an error.
    `RemoteException` - thrown on a communications error.

### setUserEndState

    public void setUserEndState(String userId,
                                ScenarioContainer container,
                                String scenarioId)
                         throws RemoteException,
                                EJBException

  Set that a user reached an end state in container/scenario combination.

  Parameters:
    `userId` - the user id.
    `container` - the ScenarioContainer.
    `scenarioId` - the scenario id.
  Throws:
    `EJBException` - thrown on an error.
    `RemoteException` - thrown on a communications error.

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 BEA Systems, Inc. All Rights Reserved